Get compute service
⚠️ Experimental endpoint: this API is in active development and may change at any time without notice. ⚠️
Returns a compute service by ID, including its region and latest version reference.
GET
/v1/compute-services/{computeServiceId}AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
computeServiceId*string
Match
^(cps_)?([cC][^\s-]{8,}|[a-z0-9]+)$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.prisma.io/v1/compute-services/string"{
"data": {
"id": "string",
"type": "compute-service",
"url": "http://example.com",
"name": "string",
"region": {
"id": "string",
"name": "string"
},
"projectId": "string",
"latestVersionId": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string"
}
}